import { BaseProvider } from '#templates/base/provider';
import { SystemAuditLogsDefault } from '#models/SystemAuditLogsDefault';

export class SystemAuditLogsDefaultProvider extends BaseProvider<SystemAuditLogsDefault> {
	public static instance: SystemAuditLogsDefaultProvider;

	public static getInstance(): SystemAuditLogsDefaultProvider {
		SystemAuditLogsDefaultProvider.instance ??= new SystemAuditLogsDefaultProvider();
		return SystemAuditLogsDefaultProvider.instance;
	}

	public static get model() {
		return SystemAuditLogsDefault;
	}

	constructor() {
		super('SystemAuditLogsDefault');
	}
}
